when:
  - event: push
steps:
  - name: build
    image: ghcr.io/astral-sh/uv:debian
    commands:
      - uv sync --frozen
  - name: ruff check
    image: ghcr.io/astral-sh/uv:debian
    commands:
      - . .venv/bin/activate
      - ruff check src --preview
    depends_on: [build]
  - name: test
    image: ghcr.io/astral-sh/uv:debian
    commands:
      - . .venv/bin/activate
      - uv run pytest --cov src/remedapy --cov-report=term-missing --cov-fail-under=100
    depends_on: [build]
